%define module_version 1.05
%define module_name Apache2-SiteControl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Session/File.pm) perl(Apache2/AuthCookie.pm) perl(Apache2/Request.pm) perl(ExtUtils/MakeMaker.pm) perl(base.pm) perl-devel
# END SourceDeps(oneline)
%define upstream_name    Apache2-SiteControl
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    1.05
Release:    alt4

Summary:	Perl web site authentication/authorization system
License:	perl
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AW/AWKAY/Apache2/%{module_name}-%{module_version}.tar.gz


BuildRequires:	apache-mod_perl
BuildRequires:	perl(Apache/AuthCookie.pm)
BuildRequires:	perl(Apache/Session.pm)
BuildRequires:	perl(Apache/Test.pm)
BuildRequires:	perl(Authen/Radius.pm)
BuildRequires:	perl(Carp/Assert.pm)
BuildRequires:	perl(Crypt/CAST5.pm)
BuildRequires:	perl(Crypt/CBC.pm)
BuildRequires:	perl(Data/Dumper.pm)
BuildRequires:	perl-libapreq2
BuildArch:	noarch
Source44: import.info


%description
Apache2::SiteControl is a set of perl object-oriented classes that
implement a fine-grained security control system for a web-based application.
The intent is to provide a clear, easy-to-integrate system that does not
require the policies to be written into your application components. It
attempts to separate the concerns of how to show and manipulate data from the
concerns of who is allowed to view and manipulate data and why.

For example, say your web application is written in HTML::Mason. Your
individual "screens" are composed of Mason modules, and you would like to keep
those as clean as possible, but decisions have to be made about what to allow
as the component is processed. SiteControl attempts to make that as easy as
possible.

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README README.UPGRADING_TO_1.0 Changes docs
%{perl_vendor_privlib}/Apache2

%changelog
* Wed Feb 24 2016 Igor Vlasenko <viy@altlinux.ru> 1.05-alt4
- moved to perl-package-updater

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.05-alt3_3
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 1.05-alt2_2
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_1
- converted for ALT Linux by srpmconvert tools

